#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <semaphore.h>
#include <pthread.h>
#include <unistd.h>

struct infovente{						
	int		nosequentiel;				
	char	nomvendeur[30];			
	char	noproduit[11];			
	int		nombrevendu;				
	};								 

struct record{			
	struct infovente	vente;		
	struct record		*suivant;	
	};	
	
void cls(void);
void error(const int exitcode, const char * message);

struct record * findItem(const int no);
struct record * findPrev(const int no);

void addItem(const char* nv, const char* np, const int nbv);
void removeItem(const int no);
void modifyItem(const int no, const char* nv, const char* np, const int nbv);
void listItems(const int start, const int end);
void saveItems();

void loadDB();
void* readTrans(char* nomFichier);
